<?php

namespace Drupal\vertex_ai_search\Service;

/**
 * Defines Vertex AI Search manager service.
 */
interface VertexSearchManagerInterface {

  /**
   * Perform a Search.
   *
   * @param string|Object $search_page
   *   Machine name of custom search page or an object representation of page.
   * @param array $search_parameters
   *   Parameters for performing a search.
   *
   * @return array
   *   An array of Search results, config data, and metadata.
   */
  public function executeSearch(string|object $search_page, array $search_parameters);

}
